-- Tables to support projects evaluations plug-in for SFIAB
-- Dennis Spanogle  Feb 24, 2011

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
--
-- Database: `sfiab`
--
--

CREATE TABLE IF NOT EXISTS `eval_config` (
  `plugin_name` varchar(20) NOT NULL,
  `plugin_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `folder_name` varchar(20) NOT NULL,
  `help_link` varchar(50) NOT NULL,
  `code_version` tinyint(3) unsigned NOT NULL,
  `author` varchar(50) NOT NULL,
  `last_update` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE CURRENT_TIMESTAMP,
  `description` text,
  `requirements` text,
  `db_version` tinyint(3) unsigned NOT NULL,
  UNIQUE KEY `plugin_id` (`plugin_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `eval_config`
--

INSERT INTO `eval_config` (`plugin_name`, `plugin_id`, `folder_name`, `help_link`, `code_version`, `author`, `last_update`, `description`, `requirements`, `db_version`) VALUES
('Evaluations', 1, 'evaluations', 'eval_help.html', 100, 'Dennis Spanogle <dennis@spanogle.net>', '2011-02-25 08:35:26', 'Evaluations is a configurable project evaluation add-on (plug-in) for SFIAB. Evaluations provides the flexibility and most functionality to setup SFIAB for scoring and evaluations of projects. The help file will explain the details.', 'Requires: SFIAB 2.3.1 or higher (requires the tables projects, judges_teams_timeslots_link,  judges_teams_timeslots_projects_link, users_judge configured as in SFIAB rev 2.3.1.  ', 100);


CREATE TABLE IF NOT EXISTS `eval_projects` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int(10) unsigned NOT NULL,
  `team` enum('no','yes') NOT NULL DEFAULT 'no',
  `scheme_id` smallint(5) unsigned DEFAULT NULL,
  `eval_score` float(5,2) NOT NULL DEFAULT '0.00',
  `final_score` float(5,2) NOT NULL DEFAULT '0.00',
  `eval_score_status` varchar(10) DEFAULT NULL,
  `overall_status` varchar(10) DEFAULT NULL,
  `last_change` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `eval_criteria` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `scheme_id` smallint(5) unsigned NOT NULL,
  `criteria_id` smallint(5) unsigned NOT NULL,
  `criteria_weight` smallint(6) NOT NULL,
  `criteria_name` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;


CREATE TABLE IF NOT EXISTS `eval_levels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `scheme_id` smallint(5) unsigned NOT NULL,
  `level_id` smallint(5) unsigned NOT NULL,
  `level_value` tinyint(3) unsigned NOT NULL,
  `level_name` varchar(12) DEFAULT NULL,
  `spec_use` enum('no','yes') NOT NULL DEFAULT 'no',
  `spec_use_code` varchar(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;

CREATE TABLE IF NOT EXISTS `eval_projects_entries` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `event_id` int(10) unsigned DEFAULT NULL,
  `project_id` int(10) unsigned NOT NULL,
  `judges_teams_id` int(10) unsigned DEFAULT NULL,
  `judges_timeslots_id` int(10) unsigned DEFAULT NULL,
  `criteria_id` smallint(5) unsigned DEFAULT NULL,
  `level_id` smallint(5) unsigned DEFAULT NULL,
  `judge_user_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `eval_schemes` (
  `scheme_id` smallint(5) unsigned NOT NULL,
  `scheme_name` varchar(20) DEFAULT NULL,
  `assignto_project_when` varchar(50) NOT NULL,
  PRIMARY KEY (`scheme_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


